import { combineReducers } from "@reduxjs/toolkit";
import { LOGOUT } from "../constants/action_type";
import authSlice from "../features/auth/authSlice";

const appReducer = combineReducers({
  auth: authSlice
});

const rootReducer = (state, action) => {
  if (action.type === LOGOUT) {
    // remove token
    state = undefined
  }

  return appReducer(state, action);
}

export default rootReducer;
